From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rspec-core/
Date: Mon, 13 Jan 2020 19:24:19 +0000 (UTC) [thread overview]
Message-ID: <1578943446.8cfefbed0b9083c00df66bcab459c8a80507c9be.graaff@gentoo> (raw)
commit: 8cfefbed0b9083c00df66bcab459c8a80507c9be
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 13 19:15:53 2020 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan 13 19:24:06 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cfefbed
dev-ruby/rspec-core: add ruby27
Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/rspec-core/rspec-core-2.99.2-r2.ebuild | 22 ++++++++++++++++------
1 file changed, 16 insertions(+), 6 deletions(-)
diff --git a/dev-ruby/rspec-core/rspec-core-2.99.2-r2.ebuild b/dev-ruby/rspec-core/rspec-core-2.99.2-r2.ebuild
index 185e565a5fc..2f4744eb8f1 100644
--- a/dev-ruby/rspec-core/rspec-core-2.99.2-r2.ebuild
+++ b/dev-ruby/rspec-core/rspec-core-2.99.2-r2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
RUBY_FAKEGEM_TASK_TEST="none"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
@@ -30,7 +30,6 @@ IUSE=""
ruby_add_bdepend "test? (
>=dev-ruby/nokogiri-1.5.2
dev-ruby/syntax
- >=dev-ruby/zentest-4.6.2
>=dev-ruby/rspec-expectations-2.14.0:2
>=dev-ruby/rspec-mocks-2.99.0:2
dev-ruby/rspec:2
@@ -60,15 +59,16 @@ all_ruby_prepare() {
# Remove minor functionality to remain compatible with rake 12
sed -i -e '/last_comment/ s:^:#:' lib/rspec/core/rake_task.rb || die
+
+ # Avoid autotest specs since this is no longer part of zentest
+ sed -i -e '/autotest/ s:^:#:' spec/spec_helper.rb || die
+ rm -rf spec/autotest || die
}
each_ruby_prepare() {
sed -i -e 's:ruby -e:'${RUBY}' -e:' spec/rspec/core_spec.rb || die
case ${RUBY} in
- *ruby23)
- sed -i -e 's/SAFE = 3/SAFE = 1/' spec/support/helper_methods.rb || die
- ;;
*ruby24)
sed -i -e 's/SAFE = 3/SAFE = 1/' spec/support/helper_methods.rb || die
sed -i -e 's/Fixnum: 4/Integer: 4/' spec/rspec/core/memoized_helpers_spec.rb || die
@@ -92,6 +92,16 @@ each_ruby_prepare() {
sed -i -e '/is still a private method/,/end/ s:^:#:' spec/rspec/core/memoized_helpers_spec.rb || die
sed -i -e '/leaves a raised exception unmodified/,/^ end/ s:^:#:' spec/rspec/core/example_spec.rb || die
;;
+ *ruby27)
+ sed -i -e 's/SAFE = 3/SAFE = 0/' spec/support/helper_methods.rb || die
+ sed -i -e 's/Fixnum: 4/Integer: 4/' spec/rspec/core/memoized_helpers_spec.rb || die
+ sed -i -e '/warns when HOME env var is not set/,/^ end/ s:^:#:' spec/rspec/core/configuration_options_spec.rb || die
+ sed -i -e '/with mathn loaded/,/^ end/ s:^:#:' spec/rspec/core/formatters/html_formatter_spec.rb || die
+ sed -i -e '/with mathn loaded/,/^ end/ s:^:#:' spec/rspec/core/formatters/helpers_spec.rb || die
+ sed -i -e '/is still a private method/,/end/ s:^:#:' spec/rspec/core/memoized_helpers_spec.rb || die
+ sed -i -e '/leaves a raised exception unmodified/,/^ end/ s:^:#:' spec/rspec/core/example_spec.rb || die
+ sed -i -e '/PROC_HEX_NUMBER =/ s/@//' lib/rspec/core/filter_manager.rb || die
+ ;;
esac
}
next reply other threads:[~2020-01-13 19:24 UTC|newest]
Thread overview: 188+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-01-13 19:24 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-07 6:21 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rspec-core/ Hans de Graaff
2024-10-22 6:01 Hans de Graaff
2024-10-12 16:22 Sam James
2024-10-10 11:04 Arthur Zamarin
2024-10-06 13:30 Arthur Zamarin
2024-10-06 11:35 Sam James
2024-10-06 11:35 Sam James
2024-09-04 5:35 Hans de Graaff
2024-06-02 7:09 Sam James
2024-06-02 7:09 Sam James
2024-06-02 7:09 Sam James
2024-06-02 7:09 Sam James
2024-06-02 7:09 Sam James
2024-02-17 7:03 Hans de Graaff
2024-02-08 14:24 Hans de Graaff
2023-12-30 7:43 Hans de Graaff
2023-12-30 7:43 Hans de Graaff
2023-08-26 15:39 Hans de Graaff
2023-08-04 11:31 Sam James
2023-07-14 5:46 Arthur Zamarin
2023-07-06 18:27 Hans de Graaff
2023-04-22 6:40 Hans de Graaff
2023-04-22 6:40 Hans de Graaff
2023-04-01 9:00 Hans de Graaff
2023-04-01 9:00 Hans de Graaff
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-10 9:08 Hans de Graaff
2023-02-04 7:41 Hans de Graaff
2023-01-13 13:50 Sam James
2023-01-09 2:15 Sam James
2023-01-09 1:28 Sam James
2023-01-08 17:00 Arthur Zamarin
2023-01-08 17:00 Arthur Zamarin
2023-01-08 12:13 Jakov Smolić
2023-01-08 12:13 Jakov Smolić
2022-10-29 6:27 Hans de Graaff
2022-06-24 7:25 Hans de Graaff
2022-03-31 5:39 Hans de Graaff
2022-02-11 7:43 Hans de Graaff
2022-01-28 7:06 Hans de Graaff
2021-09-10 18:24 Sam James
2021-08-03 11:51 Marek Szuba
2021-08-02 21:48 Marek Szuba
2021-07-20 5:18 Hans de Graaff
2021-07-17 5:00 Sam James
2021-07-15 22:18 Sergei Trofimovich
2021-07-08 7:22 Sergei Trofimovich
2021-07-04 5:52 Hans de Graaff
2021-07-04 5:52 Hans de Graaff
2021-04-12 16:41 Sam James
2021-04-11 15:54 Sam James
2021-03-21 9:45 Sergei Trofimovich
2021-03-12 19:27 Sergei Trofimovich
2021-03-09 11:29 Sam James
2021-03-09 11:23 Sam James
2021-03-09 11:20 Sam James
2021-03-09 6:51 Hans de Graaff
2021-03-09 6:26 Hans de Graaff
2020-12-29 6:54 Hans de Graaff
2020-11-14 6:53 Hans de Graaff
2020-10-31 7:59 Hans de Graaff
2020-01-12 8:52 Hans de Graaff
2020-01-12 8:52 Hans de Graaff
2020-01-12 7:16 Hans de Graaff
2019-12-30 6:47 Hans de Graaff
2019-11-02 7:13 Hans de Graaff
2019-09-13 17:29 Mikle Kolyada
2019-08-24 21:24 Sergei Trofimovich
2019-08-23 16:33 Agostino Sarubbo
2019-08-23 13:11 Agostino Sarubbo
2019-08-23 10:00 Agostino Sarubbo
2019-08-22 22:03 Agostino Sarubbo
2019-08-22 22:01 Agostino Sarubbo
2019-08-22 18:32 Sergei Trofimovich
2019-08-22 11:48 Agostino Sarubbo
2019-08-21 21:07 Agostino Sarubbo
2019-08-19 8:02 Hans de Graaff
2019-08-18 12:37 David Seifert
2019-07-26 5:28 Hans de Graaff
2019-07-25 15:47 Hans de Graaff
2019-06-30 4:47 Hans de Graaff
2019-06-14 4:39 Hans de Graaff
2019-03-28 20:03 Mikle Kolyada
2019-01-18 11:12 Hans de Graaff
2018-12-11 11:34 Hans de Graaff
2018-11-24 10:39 Sergei Trofimovich
2018-11-24 8:09 Hans de Graaff
2018-11-18 10:38 Sergei Trofimovich
2018-11-07 22:59 Sergei Trofimovich
2018-10-15 18:12 Markus Meier
2018-10-11 18:49 Tobias Klausmann
2018-09-24 4:53 Hans de Graaff
2018-09-24 1:50 Thomas Deutschmann
2018-09-23 10:05 Sergei Trofimovich
2018-09-22 6:02 Hans de Graaff
2018-09-19 20:27 Sergei Trofimovich
2018-08-24 1:40 Thomas Deutschmann
2018-08-11 18:55 Sergei Trofimovich
2018-08-05 6:42 Hans de Graaff
2018-07-29 10:35 Sergei Trofimovich
2018-07-29 8:24 Hans de Graaff
2018-07-23 13:09 Tobias Klausmann
2018-07-20 5:20 Hans de Graaff
2018-07-20 5:20 Hans de Graaff
2018-07-05 18:32 Sergei Trofimovich
2018-05-15 19:16 Markus Meier
2018-05-03 20:54 Sergei Trofimovich
2018-04-27 9:13 Hans de Graaff
2018-04-25 6:08 Sergei Trofimovich
2018-04-21 22:38 Aaron Bauman
2018-03-24 8:35 Hans de Graaff
2018-03-09 6:15 Hans de Graaff
2018-02-10 12:56 Jeroen Roovers
2018-01-24 5:34 Hans de Graaff
2018-01-07 7:19 Hans de Graaff
2017-12-23 11:17 Markus Meier
2017-12-20 22:16 Sergei Trofimovich
2017-12-06 22:44 Sergei Trofimovich
2017-12-03 8:31 Hans de Graaff
2017-12-01 22:57 Sergei Trofimovich
2017-11-26 8:45 Hans de Graaff
2017-10-22 21:42 Tobias Klausmann
2017-10-22 20:33 Thomas Deutschmann
2017-10-21 10:20 Sergei Trofimovich
2017-10-21 9:58 Hans de Graaff
2017-10-21 9:18 Sergei Trofimovich
2017-10-21 5:47 Hans de Graaff
2017-10-17 6:04 Hans de Graaff
2017-08-23 21:43 Sergei Trofimovich
2017-06-29 20:54 Sergei Trofimovich
2017-06-28 20:49 Sergei Trofimovich
2017-06-28 9:35 Alexis Ballier
2017-06-25 7:58 Hans de Graaff
2017-05-06 5:10 Hans de Graaff
2017-03-29 2:06 Jeroen Roovers
2017-02-27 17:01 Michael Weber
2017-01-14 8:52 Hans de Graaff
2017-01-02 19:32 Markus Meier
2016-12-25 6:04 Aaron Bauman
2016-12-15 9:39 Tobias Klausmann
2016-12-09 6:41 Hans de Graaff
2016-10-03 6:04 Hans de Graaff
2016-10-03 6:04 Hans de Graaff
2016-09-05 5:41 Hans de Graaff
2016-07-29 5:40 Hans de Graaff
2016-07-09 5:29 Hans de Graaff
2016-07-08 13:48 Agostino Sarubbo
2016-07-08 10:30 Agostino Sarubbo
2016-07-08 3:54 Hans de Graaff
2016-07-03 5:49 Hans de Graaff
2016-04-17 14:39 Manuel Rüger
2016-03-14 20:49 Hans de Graaff
2016-03-09 22:43 Manuel Rüger
2016-03-07 21:14 Hans de Graaff
2016-03-07 20:21 Hans de Graaff
2016-03-06 20:16 Hans de Graaff
2016-03-06 20:16 Hans de Graaff
2016-03-06 19:08 Hans de Graaff
2016-03-06 19:08 Hans de Graaff
2016-02-19 6:03 Hans de Graaff
2016-02-19 6:03 Hans de Graaff
2016-02-12 12:36 Fabian Groffen
2016-02-05 16:23 Tobias Klausmann
2016-02-04 19:31 Tobias Klausmann
2016-01-29 6:28 Hans de Graaff
2016-01-17 18:24 Agostino Sarubbo
2016-01-02 16:29 Jeroen Roovers
2016-01-02 15:27 Jeroen Roovers
2015-11-24 20:33 Markus Meier
2015-11-19 7:04 Hans de Graaff
2015-11-18 8:57 Agostino Sarubbo
2015-11-17 9:59 Agostino Sarubbo
2015-11-17 6:48 Hans de Graaff
2015-11-14 10:13 Hans de Graaff
2015-11-10 19:08 Markus Meier
2015-10-10 4:56 Jeroen Roovers
2015-10-10 4:39 Jeroen Roovers
2015-10-07 5:39 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1578943446.8cfefbed0b9083c00df66bcab459c8a80507c9be.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox